Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
StateInspector Class Reference
Inheritance diagram for StateInspector:

## Public Member Functions
| __init__ (self, inspector, state, **kw)
| center (self)
| enteredState (self)
| exitedState (self)
| getName (self)
| inspectSubMachine (self)
| mouseDown (self, event)
| mouseEnter (self, event)
| mouseLeave (self, event)
| mouseMotion (self, event)
| mouseRelease (self, event)
| popupStateMenu (self, event)
| setGridSize (self, size)
| setPos (self, x, y, snapToGrid=0)
| setRadius (self, size)
| setText (self, text=None)
| transitionTo (self)

## Public Attributes
int | fGridSnap = 0
| fsm = inspector.fsm
int | gridSize = self._canvas.winfo_fpixels(size)
| inspector = inspector
| lastx = self._canvas.canvasx(event.x)
| lasty = self._canvas.canvasy(event.y)
| marker
| mouseDown
| mouseEnter
| mouseLeave
| mouseMotion
| mouseRelease
| popupStateMenu
| rect
| scrolledCanvas = inspector.component('scrolledCanvas')
| startx
| starty = self.center()
| state = state
| tag = state.getName()
| text
int | x = 0
int | y = 0

## Protected Member Functions
| _setGridSize (self)
| _setRadius (self)

## Protected Attributes
| _canvas = self.scrolledCanvas.component('canvas')
| _popupMenu = Menu(self._canvas, tearoff = 0)

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | inspector,
|  |  | state,
|  | ** | kw )

## Member Function Documentation

## ◆ _setGridSize()

_setGridSize | ( |  | self | ) |
| protected

## ◆ _setRadius()

_setRadius | ( |  | self | ) |
| protected

## ◆ center()

center | ( |  | self | ) |

## ◆ enteredState()

enteredState | ( |  | self | ) |

## ◆ exitedState()

exitedState | ( |  | self | ) |

## ◆ getName()

getName | ( |  | self | ) |

## ◆ inspectSubMachine()

inspectSubMachine | ( |  | self | ) |

## ◆ mouseDown()

mouseDown | ( |  | self,
|  |  | event )

## ◆ mouseEnter()

mouseEnter | ( |  | self,
|  |  | event )

## ◆ mouseLeave()

mouseLeave | ( |  | self,
|  |  | event )

## ◆ mouseMotion()

mouseMotion | ( |  | self,
|  |  | event )

## ◆ mouseRelease()

mouseRelease | ( |  | self,
|  |  | event )

## ◆ popupStateMenu()

popupStateMenu | ( |  | self,
|  |  | event )

## ◆ setGridSize()

setGridSize | ( |  | self,
|  |  | size )

## ◆ setPos()

setPos | ( |  | self,
|  |  | x,
|  |  | y,
|  |  | snapToGrid = 0 )

## ◆ setRadius()

setRadius | ( |  | self,
|  |  | size )

## ◆ setText()

setText | ( |  | self,
|  |  | text = None )

## ◆ transitionTo()

transitionTo | ( |  | self | ) |

## Member Data Documentation

## ◆ _canvas

_canvas = self.scrolledCanvas.component('canvas')
| protected

## ◆ _popupMenu

_popupMenu = Menu(self._canvas, tearoff = 0)
| protected

## ◆ fGridSnap

int fGridSnap = 0

## ◆ fsm

fsm = inspector.fsm

## ◆ gridSize

int gridSize = self._canvas.winfo_fpixels(size)

## ◆ inspector

inspector = inspector

## ◆ lastx

lastx = self._canvas.canvasx(event.x)

## ◆ lasty

lasty = self._canvas.canvasy(event.y)

## ◆ marker

marker

Initial value:
= self._canvas.create_oval((self.x - half),
(self.y - half),
(self.x + half),
(self.y + half),
fill = 'CornflowerBlue',
tags = (self.tag,'markers'))

## ◆ mouseDown

mouseDown

## ◆ mouseEnter

mouseEnter

## ◆ mouseLeave

mouseLeave

## ◆ mouseMotion

mouseMotion

## ◆ mouseRelease

mouseRelease

## ◆ popupStateMenu

popupStateMenu

## ◆ rect

rect

Initial value:
= self._canvas.create_rectangle((- half), (- half),
half, half,
tags = (self.tag,))

## ◆ scrolledCanvas

scrolledCanvas = inspector.component('scrolledCanvas')

## ◆ startx

startx

## ◆ starty

starty = self.center()

## ◆ state

state = state

## ◆ tag

tag = state.getName()

## ◆ text

text

Initial value:
= self._canvas.create_text(0, 0, text = state.getName(),
justify = CENTER,
tags = (self.tag,'labels'))

## ◆ x

int x = 0

## ◆ y

int y = 0